rem ---------------------
rem easyPLL plus Demo v1.0
rem ---------------------
rem copyright by Nanosurf AG, Grammetstrasse 14, 4410 Liestal, Switzerland
rem 
rem -----------------------------------------------------------------
rem To run this demo you can either double click on the file or
rem open a command shell and type cscript easyPLLplusDemo.vbs
rem -----------------------------------------------------------------

rem -----------------------------------------------------------------
rem Establish a connection to the easyPLL
rem -----------------------------------------------------------------
dim objEasyPLL
set objEasyPLL = CreateObject("easyPLL plus.Application")
objEasyPLL.LoadConfig("")

rem -----------------------------------------------------------------
rem Do something 
rem -----------------------------------------------------------------
if objEasyPLL.IsCommunicationUp then

  objEasyPLL.SearchCenterFrqStart()

  do while objEasyPLL.IsSearching
  loop

  wscript.echo "Center frequency: " & objEasyPLL.PLLCenterFrq & "Hz"

else 
  wscript.echo "Hardware not found. Connect easyPLL to PC and switch it on."
end if

rem ----------------------------------------------------------------
rem Uncomment the following command line if you wish to save the 
rem result of the previouse search over the lifetime of this script
rem -----------------------------------------------------------------
rem objEasyPLL.SaveConfig("")

rem -----------------------------------------------------------------
rem shut down the connection
rem -----------------------------------------------------------------
objEasyPLL = NUL

